summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-08-28 18:09:51 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-08-28 18:09:51 +0000
commit30358ffed317dd38672a4fd200e94454598377a0 (patch)
treeac175d8424e082d37c10c629c933a8963dc9db95 /dev-python
parentbd2db91686696f33f3fa3d4cbb0a3f962fe83611 (diff)
downloadbaldeagleos-repo-30358ffed317dd38672a4fd200e94454598377a0.tar.gz
baldeagleos-repo-30358ffed317dd38672a4fd200e94454598377a0.tar.xz
baldeagleos-repo-30358ffed317dd38672a4fd200e94454598377a0.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/ahocorasick/Manifest1
-rw-r--r--dev-python/ahocorasick/ahocorasick-1.4.4.ebuild23
-rw-r--r--dev-python/ahocorasick/ahocorasick-9999.ebuild19
-rw-r--r--dev-python/ahocorasick/metadata.xml18
-rw-r--r--dev-python/evernote3/Manifest1
-rw-r--r--dev-python/evernote3/evernote3-1.25.14.ebuild21
-rw-r--r--dev-python/evernote3/metadata.xml12
-rw-r--r--dev-python/filelock/Manifest1
-rw-r--r--dev-python/filelock/filelock-3.12.3.ebuild34
-rw-r--r--dev-python/griffe/Manifest1
-rw-r--r--dev-python/griffe/griffe-0.35.2.ebuild45
-rw-r--r--dev-python/insipid-sphinx-theme/Manifest1
-rw-r--r--dev-python/insipid-sphinx-theme/insipid-sphinx-theme-0.4.2.ebuild31
-rw-r--r--dev-python/kaptan/Manifest1
-rw-r--r--dev-python/kaptan/kaptan-0.6.0.ebuild25
-rw-r--r--dev-python/mkdocs-material/Manifest1
-rw-r--r--dev-python/mkdocs-material/mkdocs-material-9.2.5.ebuild65
-rw-r--r--dev-python/mkdocstrings-python/Manifest1
-rw-r--r--dev-python/mkdocstrings-python/mkdocstrings-python-1.6.0.ebuild40
-rw-r--r--dev-python/nbsphinx/Manifest1
-rw-r--r--dev-python/nbsphinx/nbsphinx-0.9.3.ebuild28
-rw-r--r--dev-python/oauth2/Manifest1
-rw-r--r--dev-python/oauth2/metadata.xml24
-rw-r--r--dev-python/oauth2/oauth2-1.9.ebuild31
-rw-r--r--dev-python/openstackdocstheme/Manifest1
-rw-r--r--dev-python/openstackdocstheme/openstackdocstheme-3.2.0.ebuild29
-rw-r--r--dev-python/oslo-concurrency/Manifest1
-rw-r--r--dev-python/oslo-concurrency/oslo-concurrency-5.2.0.ebuild50
-rw-r--r--dev-python/oslo-config/Manifest1
-rw-r--r--dev-python/oslo-config/oslo-config-9.2.0.ebuild59
-rw-r--r--dev-python/oslo-context/Manifest1
-rw-r--r--dev-python/oslo-context/oslo-context-5.2.0.ebuild38
-rw-r--r--dev-python/oslo-i18n/Manifest1
-rw-r--r--dev-python/oslo-i18n/oslo-i18n-6.1.0.ebuild39
-rw-r--r--dev-python/oslo-log/Manifest1
-rw-r--r--dev-python/oslo-log/oslo-log-5.3.0.ebuild69
-rw-r--r--dev-python/oslo-serialization/Manifest1
-rw-r--r--dev-python/oslo-serialization/oslo-serialization-5.2.0.ebuild46
-rw-r--r--dev-python/oslo-utils/Manifest1
-rw-r--r--dev-python/oslo-utils/oslo-utils-6.2.1.ebuild61
-rw-r--r--dev-python/pyghmi/Manifest1
-rw-r--r--dev-python/pyghmi/pyghmi-1.5.63.ebuild38
-rw-r--r--dev-python/pygresql/Manifest1
-rw-r--r--dev-python/pygresql/pygresql-5.2.5.ebuild59
-rw-r--r--dev-python/pyproject-fmt/Manifest1
-rw-r--r--dev-python/pyproject-fmt/pyproject-fmt-1.1.0.ebuild42
-rw-r--r--dev-python/pyrate-limiter/Manifest2
-rw-r--r--dev-python/pyrate-limiter/pyrate-limiter-3.0.1.ebuild73
-rw-r--r--dev-python/pyrate-limiter/pyrate-limiter-3.1.0.ebuild73
-rw-r--r--dev-python/rpds-py/Manifest8
-rw-r--r--dev-python/rpds-py/rpds-py-0.10.0.ebuild76
-rw-r--r--dev-python/sphinx/Manifest1
-rw-r--r--dev-python/sphinx/sphinx-7.2.4.ebuild125
-rw-r--r--dev-python/zeroconf/Manifest1
-rw-r--r--dev-python/zeroconf/zeroconf-0.86.0.ebuild56
55 files changed, 1382 insertions, 0 deletions
diff --git a/dev-python/ahocorasick/Manifest b/dev-python/ahocorasick/Manifest
new file mode 100644
index 000000000000..9215a590d860
--- /dev/null
+++ b/dev-python/ahocorasick/Manifest
@@ -0,0 +1 @@
+DIST pyahocorasick-1.4.4.tar.gz 89581 BLAKE2B c803883561623ef306fb91857dd1da1a85712ed1387c1449e88798018e8785bbcddc5fb8942f640ae454db03c05856169d1abc5c78a27c5962cc2f5b8fa3a60e SHA512 2b2ef6d99abe8e051feb943b02c58e9854118e4408d01b86b422d0576b204de081b2ea5d5fb775a0886e02d38d905e3331016771c67f412f97d0633f805dc250
diff --git a/dev-python/ahocorasick/ahocorasick-1.4.4.ebuild b/dev-python/ahocorasick/ahocorasick-1.4.4.ebuild
new file mode 100644
index 000000000000..acb07ddeaff0
--- /dev/null
+++ b/dev-python/ahocorasick/ahocorasick-1.4.4.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1
+
+MY_PN="py${PN}"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Python module implementing Aho-Corasick algorithm"
+HOMEPAGE="https://github.com/WojciechMula/pyahocorasick"
+SRC_URI="https://github.com/WojciechMula/${MY_PN}/archive/${PV}.tar.gz -> ${MY_P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+S="${WORKDIR}/${MY_P}"
+
+distutils_enable_tests pytest
diff --git a/dev-python/ahocorasick/ahocorasick-9999.ebuild b/dev-python/ahocorasick/ahocorasick-9999.ebuild
new file mode 100644
index 000000000000..d52288ea447d
--- /dev/null
+++ b/dev-python/ahocorasick/ahocorasick-9999.ebuild
@@ -0,0 +1,19 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+EGIT_REPO_URI="https://github.com/WojciechMula/pyahocorasick.git"
+
+inherit distutils-r1 git-r3
+
+DESCRIPTION="Python module implementing Aho-Corasick algorithm"
+HOMEPAGE="https://github.com/WojciechMula/pyahocorasick"
+SRC_URI=""
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS=""
+
+distutils_enable_tests pytest
diff --git a/dev-python/ahocorasick/metadata.xml b/dev-python/ahocorasick/metadata.xml
new file mode 100644
index 000000000000..ca56f298f483
--- /dev/null
+++ b/dev-python/ahocorasick/metadata.xml
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>spiderx@spiderx.dp.ua</email>
+ <name>Vladimir Pavljuchenkov</name>
+ </maintainer>
+ <longdescription lang="en">
+ pyahocorasick is a fast and memory efficient library for exact or
+ approximate multi-pattern string search meaning that you can find
+ multiple key strings occurrences at once in some input text.
+ The library provides an ahocorasick Python module that you can use
+ as a plain dict-like Trie or convert a Trie to an automaton for
+ efficient Aho-Corasick search.
+ </longdescription>
+
+ <origin>gentoo-guru-overlay</origin>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/evernote3/Manifest b/dev-python/evernote3/Manifest
new file mode 100644
index 000000000000..0d8a334a78f0
--- /dev/null
+++ b/dev-python/evernote3/Manifest
@@ -0,0 +1 @@
+DIST evernote3-1.25.14.tar.gz 128787 BLAKE2B d3be20f6f582d30e19d20e8c91920f3b09588d035f337b784064c9659df6ce22cb6ece3736ced60dc33d8f04a0544241314cc5efd54a238f38b865361433155d SHA512 a7f80bb804c69274fb48a33f039787fcf8ee45a4af380f1e757df4f7b36bcfdf855a0776e8f7140286db1d1c52480c5be9d08ade3fc02d8d743f62329e48b287
diff --git a/dev-python/evernote3/evernote3-1.25.14.ebuild b/dev-python/evernote3/evernote3-1.25.14.ebuild
new file mode 100644
index 000000000000..7130d93ff769
--- /dev/null
+++ b/dev-python/evernote3/evernote3-1.25.14.ebuild
@@ -0,0 +1,21 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Evernote SDK"
+HOMEPAGE="https://github.com/Evernote/evernote-sdk-python3"
+KEYWORDS="~amd64 ~x86"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+
+RDEPEND="dev-python/oauth2[${PYTHON_USEDEP}]
+dev-python/oauthlib[${PYTHON_USEDEP}]
+dev-python/requests[${PYTHON_USEDEP}]
+dev-python/requests-oauthlib[${PYTHON_USEDEP}]"
diff --git a/dev-python/evernote3/metadata.xml b/dev-python/evernote3/metadata.xml
new file mode 100644
index 000000000000..e3631c7730ef
--- /dev/null
+++ b/dev-python/evernote3/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>zdanevich.vitaly@ya.ru</email>
+ <name>Vitaly Zdanevich</name>
+ </maintainer>
+ <upstream>
+ <bugs-to>https://github.com/Evernote/evernote-sdk-python3/issues</bugs-to>
+ </upstream>
+ <origin>gentoo-guru-overlay</origin>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/filelock/Manifest b/dev-python/filelock/Manifest
index 081ba3c32ed2..675bb0aebbac 100644
--- a/dev-python/filelock/Manifest
+++ b/dev-python/filelock/Manifest
@@ -1 +1,2 @@
DIST filelock-3.12.2.tar.gz 12441 BLAKE2B a54eb7841bd037caf537144829818ab25acf7b5a916c6fc2a296a937f36a36b7846cce3b35e751041ccc1dfc5c5c4be1b6031a261927c152657f968bb465915b SHA512 0753743338c4937f57176ef2291f44a919d949c7b3aa73e3210572d670949a60a9ad3efaaaeff198704e1308c169807655bb90d399c1158e4f5c9aae4adcd486
+DIST filelock-3.12.3.tar.gz 13746 BLAKE2B 59c66cbbd8e48b262abe3a95232ba873d4402429c79cf1eb985d08ee27f54ee4991a2e81e328378b800fecfbb359fa445979f97c953232f17fe8f4169b376eb7 SHA512 b759ea6dd943da0bfd8eb375dadc277fe83ebdca8b46989bb96fe5dea1ea5637a66729ce3f283b6858db81c9998655bd9efcc6bbe36a998f18bed5bdf9219c88
diff --git a/dev-python/filelock/filelock-3.12.3.ebuild b/dev-python/filelock/filelock-3.12.3.ebuild
new file mode 100644
index 000000000000..20319c3b411c
--- /dev/null
+++ b/dev-python/filelock/filelock-3.12.3.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2018-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{8,9,10,11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A platform independent file lock for Python"
+HOMEPAGE="
+ https://github.com/tox-dev/filelock/
+ https://pypi.org/project/filelock/
+"
+
+LICENSE="Unlicense"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ >=dev-python/typing-extensions-4.7.1[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/griffe/Manifest b/dev-python/griffe/Manifest
index 75fbc37eaaf1..033347651607 100644
--- a/dev-python/griffe/Manifest
+++ b/dev-python/griffe/Manifest
@@ -1,3 +1,4 @@
DIST griffe-0.34.0.gh.tar.gz 181554 BLAKE2B 67d9a453cbd4388e7eefce9613b58667fff184b235e06743ba0a997a961b320f00a62505b06d7dde8f068e206e0ba9424e4da7969c0bedeeded80a85f981f824 SHA512 92fd93e49f4c52f9e819cca853f5c950a66d782f0161da41e11ae2a64e09a6bc2319481c8410a220c844b1ed44a96860d3e1bd152512b9ff5d6ec0fe11f36752
DIST griffe-0.35.0.gh.tar.gz 184348 BLAKE2B eafd03d55091c960ae8686e0e1113ca266b1f980a00ebb12e252e54105dd10f56f1cb76de9fdba0ceefe2c8b7190f3aa1fe3557cac162e96b8ee408ce682f47d SHA512 9308c215232775e1355c7470006f611f1ec413cd7f24300fbc9a4b1b15108d4d20fb31e1be0ddd3b28d84862eb0409d0481a5744899a6db9ea9574987c37d86a
DIST griffe-0.35.1.gh.tar.gz 184480 BLAKE2B 9c2ba347d34ea428d56fe1bcd43b31d1518b2ac55082282ff66432837138fe26f1a61dc001c2c19e3400642b712b9ebea0987e541c0a1178653a6020bca0cf91 SHA512 e6d4b1fd670853eff5e74e2969d6e14e20809c7b859e2a8ec326855848807e066679ea09da6de04819a0f3ea79aa21bf6101c3e06b82bcb15dda6a3da5b8e4d9
+DIST griffe-0.35.2.gh.tar.gz 185855 BLAKE2B 325449ae4619a293396e98c2109b765a1ef5e8c3653d3c1fdd1b051627f7d9893338c8b1778563835128d933ead369bd5eae5af72d2eaca8d6b217dde51f6dcd SHA512 c87987ea4c4887ba4d3e73a363b196214f0a2845c7b7a56ab38a090beca89a8ce544531e405478c74827e14b65a5522b7238e7446aff7396d1155b926e396590
diff --git a/dev-python/griffe/griffe-0.35.2.ebuild b/dev-python/griffe/griffe-0.35.2.ebuild
new file mode 100644
index 000000000000..0f91c6b826a5
--- /dev/null
+++ b/dev-python/griffe/griffe-0.35.2.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=pdm-backend
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Signature generator for Python programs"
+HOMEPAGE="
+ https://mkdocstrings.github.io/griffe/
+ https://github.com/mkdocstrings/griffe/
+ https://pypi.org/project/griffe/
+"
+# Tests need files absent from the PyPI tarballs
+SRC_URI="
+ https://github.com/mkdocstrings/griffe/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv"
+
+RDEPEND="
+ >=dev-python/colorama-0.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/jsonschema-4.17.3[${PYTHON_USEDEP}]
+ >=dev-python/pytest-xdist-2.4[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+export PDM_BUILD_SCM_VERSION=${PV}
+
+EPYTEST_DESELECT=(
+ # fragile to installed packages
+ # (failed on PySide2 for me)
+ tests/test_stdlib.py::test_fuzzing_on_stdlib
+)
diff --git a/dev-python/insipid-sphinx-theme/Manifest b/dev-python/insipid-sphinx-theme/Manifest
index ecf8f37fd4ee..63bcca72aaf5 100644
--- a/dev-python/insipid-sphinx-theme/Manifest
+++ b/dev-python/insipid-sphinx-theme/Manifest
@@ -1 +1,2 @@
DIST insipid-sphinx-theme-0.4.1.tar.gz 73400 BLAKE2B 1b156787354219ba9b31905748c6d786021ce6e349a120e60416fc1de215d6f8d898bc0e91514043bb2e5c13d4004f22a906e525a4b0d610de4024b07e81af5f SHA512 aa7eb3768f48c481518984028c7911810afca3a6c4c93ec50efcf6f7b41efe9959acdf4b24d54bf8402eee829789b6945a2fa1a7648011d4566e174a7c5ca99e
+DIST insipid-sphinx-theme-0.4.2.tar.gz 73415 BLAKE2B 0f17fc5fec19926ec6e134b716ef36617e0be66d771c76237923b3f77508b1fc1fb39b790d5ac72c1cff61e4f7a484b42bd6b0eec954afac1d758284cc073ed3 SHA512 934208afcc88a72b188c64f147ff0bc6508ad1b8aa5ee061620ec53725d2a9781ea503a16fb42db3f2bcd45774d3a9f611de251f71ca0b6162cf0d6653a1a058
diff --git a/dev-python/insipid-sphinx-theme/insipid-sphinx-theme-0.4.2.ebuild b/dev-python/insipid-sphinx-theme/insipid-sphinx-theme-0.4.2.ebuild
new file mode 100644
index 000000000000..d8e24a44cba5
--- /dev/null
+++ b/dev-python/insipid-sphinx-theme/insipid-sphinx-theme-0.4.2.ebuild
@@ -0,0 +1,31 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{8,9,10,11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Insipid Sphinx theme"
+HOMEPAGE="
+ https://pypi.org/project/insipid-sphinx-theme/
+ https://github.com/mgeier/insipid-sphinx-theme/
+"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/jinja[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-5[${PYTHON_USEDEP}]
+ >=dev-python/docutils-0.18[${PYTHON_USEDEP}]
+"
+
+DOCS=( {CONTRIBUTING,NEWS,README}.rst )
+
+# needs sphinx_last_updated_by_git
+#distutils_enable_sphinx "doc"
diff --git a/dev-python/kaptan/Manifest b/dev-python/kaptan/Manifest
index 98130d04cb90..a50de8395983 100644
--- a/dev-python/kaptan/Manifest
+++ b/dev-python/kaptan/Manifest
@@ -1 +1,2 @@
DIST kaptan-0.5.12.tar.gz 10539 BLAKE2B 678e1aae6053a7075218a0fd9ef928685e7ce9ebf385c6953275b06d1bbf67d4c8434838a7a8f0b0ec8b02e7bef434d7f68698060bea2b4232cd5ef7fa83f0b3 SHA512 fccf767749e9473947bd7cb493ddb30f7dc1b2e10ce932ca327ae3423bc023fa9c76910ac249269ee546eb9162e4ce151e2ad0b9685d888854a7185c855ae143
+DIST kaptan-0.6.0.tar.gz 11861 BLAKE2B e2ce4775716fd3bdd286c3edf0f04ee842cbcd7b1347b6ccf6590ede024769561e2302c685afe9148a8141ce24aa14fdd5037354b548069ec91fcac427a6de78 SHA512 8c65ef67069178ff5480e68c5247e19a4700f26b0f8fa9030631f4103ea235491b238bd673e01c09c7cac7133689940236cbc9b21a92bb4536b902ca239cf7df
diff --git a/dev-python/kaptan/kaptan-0.6.0.ebuild b/dev-python/kaptan/kaptan-0.6.0.ebuild
new file mode 100644
index 000000000000..b38fe0527d6e
--- /dev/null
+++ b/dev-python/kaptan/kaptan-0.6.0.ebuild
@@ -0,0 +1,25 @@
+# Copyright 2019-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Configuration manager in your pocket"
+HOMEPAGE="
+ https://github.com/emre/kaptan/
+ https://pypi.org/project/kaptan/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+RDEPEND="
+ >=dev-python/pyyaml-3.13[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/mkdocs-material/Manifest b/dev-python/mkdocs-material/Manifest
index ae585f143d38..f5bda77449a0 100644
--- a/dev-python/mkdocs-material/Manifest
+++ b/dev-python/mkdocs-material/Manifest
@@ -2,3 +2,4 @@ DIST mkdocs-material-9.1.19.gh.tar.gz 14277641 BLAKE2B fe63e743e379674bc204af1f4
DIST mkdocs-material-9.1.20.gh.tar.gz 14319703 BLAKE2B bb3a90be6ceb2908e49571badffdcaab7e4a9224ec50c9b23f01ea1cc358c01e354ab923ee389243fed8adf28c685573233c8d533f6b59d9fda48b5aca69a312 SHA512 7674d90794487b65d1aca11020c20c1d2d926372f9825f99d8f23e41d0563bb02da158c2736f09ae0abe900a7ead8e9d1e383bbf10f4934bfb3b28dcb08fd21d
DIST mkdocs-material-9.1.21.gh.tar.gz 14319640 BLAKE2B 84a67b1739c4e82f81642c50abf5725a3926aacb3e4d8c9173a22ed9a25fa78695c2a2ff66cc5c4399ca576f349247b782ff772e89b971fe44a1855443165635 SHA512 3a89f1312d19cab7b21e5976d7242b4f46894dcb4b2d4fd43d8907160f937d95ba35edb457e490c05c6cb00ba772b1d9a18f45a05b58e24aa4a19999d9b8a6f4
DIST mkdocs-material-9.2.3.gh.tar.gz 14381233 BLAKE2B a672321dc20921369d4d8995eaa6d39a063a42de52d232ef134a603a28175c0c0af24911f419d66b2b3107c0f8c2ac2bfe2c5ec1c55c41355e83566b6609ce41 SHA512 a6da7b02a3d8d2cbfb9eef605e5dec652065aff45ccb44c876f553d6cc83bf7cc778525755ff82ea4a98176aaf3f040d6ecdb883342f3fde51fc5c1619003967
+DIST mkdocs-material-9.2.5.gh.tar.gz 14387280 BLAKE2B 3db1ee5e1a28bc53c9666e3e4a2cc2b0c3fc1cb8337a4784cf41905801c38ef25b7751b34345608dd5837e6cf4dcb7ca11acda8e3ab89ba434241813963ac9c5 SHA512 bd01bdf6032c6c62196479bc9adb4ba743d2c55f6c53fb88256dadf2198b905ea9975d485fd00f2aeae794c43f6eada9d9478f892147ce38b925208c507a131a
diff --git a/dev-python/mkdocs-material/mkdocs-material-9.2.5.ebuild b/dev-python/mkdocs-material/mkdocs-material-9.2.5.ebuild
new file mode 100644
index 000000000000..15f25e642ff0
--- /dev/null
+++ b/dev-python/mkdocs-material/mkdocs-material-9.2.5.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+DOCS_BUILDER="mkdocs"
+DOCS_DEPEND="
+ dev-python/mkdocs-material-extensions
+ dev-python/mkdocs-minify-plugin
+ dev-python/mkdocs-redirects
+"
+
+inherit distutils-r1 docs
+
+DESCRIPTION="A Material Design theme for MkDocs"
+HOMEPAGE="
+ https://github.com/squidfunk/mkdocs-material/
+ https://pypi.org/project/mkdocs-material/
+"
+SRC_URI="
+ https://github.com/squidfunk/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~riscv ~x86"
+IUSE="social"
+
+RDEPEND="
+ >=dev-python/Babel-2.10.3[${PYTHON_USEDEP}]
+ >=dev-python/colorama-0.4[${PYTHON_USEDEP}]
+ >=dev-python/jinja-3.0.2[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.6[${PYTHON_USEDEP}]
+ >=dev-python/markdown-3.2[${PYTHON_USEDEP}]
+ >=dev-python/mkdocs-1.5.2[${PYTHON_USEDEP}]
+ >=dev-python/paginate-0.5.6[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.14[${PYTHON_USEDEP}]
+ >=dev-python/pymdown-extensions-9.9.1[${PYTHON_USEDEP}]
+ >=dev-python/readtime-2.0[${PYTHON_USEDEP}]
+ >=dev-python/regex-2022.4.24[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.26[${PYTHON_USEDEP}]
+ social? (
+ >=dev-python/pillow-9.0[${PYTHON_USEDEP}]
+ >=media-gfx/cairosvg-2.5[${PYTHON_USEDEP}]
+ )
+"
+
+# mkdocs-material-extensions depends on mkdocs-material creating a circular dep
+PDEPEND="
+ >=dev-python/mkdocs-material-extensions-1.1.0[${PYTHON_USEDEP}]
+"
+
+PATCHES=(
+ # simplify pyproject to remove extra deps for metadata
+ "${FILESDIR}/${PN}-8.5.7-simplify-build.patch"
+)
+
+src_prepare() {
+ echo "__version__ = '${PV}'" > gentoo_version.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/mkdocstrings-python/Manifest b/dev-python/mkdocstrings-python/Manifest
index 46d89708efdb..4f2aa7d92bcf 100644
--- a/dev-python/mkdocstrings-python/Manifest
+++ b/dev-python/mkdocstrings-python/Manifest
@@ -1,3 +1,4 @@
DIST mkdocstrings-python-1.5.0.gh.tar.gz 134827 BLAKE2B 8af0d4497a93c9064a4413ea88efe54461a56bfe58980162467c65ce20c612a15cd59334499c98ca6d2ad99f1c4bff3ad7feef0ddb654d4c171462169903d34a SHA512 99fd4db1541c48317e3bb7a8a4600cb358e938d506eb85773cd9d52de220a444a508df5b5ab7f5346f2680a2c2aa2f7c9635e62adc4fbc53e7500f1aaf6bc079
DIST mkdocstrings-python-1.5.1.gh.tar.gz 135102 BLAKE2B 06da82fd75b5f4311e98316037f073bbfc176fb50b2676a43dc43c6d819574d4ad724bffa75ce4f765858fdb8042f8802c607e6093121920b48bf3db4b130c17 SHA512 01b5e78bb9ff3d0325ce96f1bf44d2f0da5809db925ca93db43b210da867c8a31b7c68329a4d11345283b170e34cbd50a11b7e5364ab1d9cbc074a1aa9f792d7
DIST mkdocstrings-python-1.5.2.gh.tar.gz 135238 BLAKE2B 09885164675a0955dcbef0a17871a6d19dbbfc9a7d6114a46e23dbb5a2428e7d46ffe626ecab10939934c06817892cde0e3e3db592776f7fb25dcdbdf8473a85 SHA512 0f069b07cb681ad470947dd02996e783ee809f34418316e8929322f20304dddab7049bc5dc0874e0b4ff6f6af6d958bbb69a4c61515d56cc716a774a1957f51e
+DIST mkdocstrings-python-1.6.0.gh.tar.gz 135452 BLAKE2B cde95f8066ac97cbe3f618cb399cdcc06027632100198a7cd5970c09683a1d1bbe2b7aa32dcc8dae437b19efe4de007cd04899564a44021ad1e1794b7b9d5da7 SHA512 58da4eb6e3c7d702782346ca5b66726fe1f24c4a0f57a90bd5ab53ef90787eb16291d492078f10a847a6cbf63892b34a8d8d41714311664c659bf14acc0739a7
diff --git a/dev-python/mkdocstrings-python/mkdocstrings-python-1.6.0.ebuild b/dev-python/mkdocstrings-python/mkdocstrings-python-1.6.0.ebuild
new file mode 100644
index 000000000000..f9c059e2c6d8
--- /dev/null
+++ b/dev-python/mkdocstrings-python/mkdocstrings-python-1.6.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+DISTUTILS_USE_PEP517=pdm-backend
+
+inherit distutils-r1
+
+DESCRIPTION="Python handler for dev-python/mkdocstrings"
+HOMEPAGE="
+ https://mkdocstrings.github.io/python/
+ https://github.com/mkdocstrings/python/
+ https://pypi.org/project/mkdocstrings-python/
+"
+# Tests need files absent from the PyPI tarballs
+SRC_URI="
+ https://github.com/mkdocstrings/python/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/python-${PV}"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv"
+
+RDEPEND="
+ >=dev-python/griffe-0.35[${PYTHON_USEDEP}]
+ dev-python/mkdocstrings[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mkdocs-material[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+export PDM_BUILD_SCM_VERSION=${PV}
diff --git a/dev-python/nbsphinx/Manifest b/dev-python/nbsphinx/Manifest
index 0c327a4f6a42..20c7e0c40643 100644
--- a/dev-python/nbsphinx/Manifest
+++ b/dev-python/nbsphinx/Manifest
@@ -1 +1,2 @@
DIST nbsphinx-0.9.2.tar.gz 171754 BLAKE2B 6bb73034b7f24c39c2d79e9beab623c46c07d9dd583a71920b83a6561e7f2899474db3edbb7b64386f4f41e1fb7960e942ea8327387ef2e0f1d3745627a3ade4 SHA512 b5e371e3177f03e72d87059d0c06cb4787afe255926e9f2440ea0c753f5457974535f42c98bd5bb289752151400612f28de98e1b36e6865b26790e56d1f78b80
+DIST nbsphinx-0.9.3.tar.gz 171956 BLAKE2B 404e1692259b963f5ad9ad1ad370da1ff21ad93ac6b1081256d18cd66e2057eba8b4fec5e6ea987f73c3dea2a197108de6388e26b22eef46a8dd29800db4554d SHA512 a1dd3f96b1a7ad38cbe860eab620dda859fdad3bc22d07ddd4fc1bb9a3c7e9f66d24412370cb7701182d31870153e6388381574359356a1f0a0055111b404a7a
diff --git a/dev-python/nbsphinx/nbsphinx-0.9.3.ebuild b/dev-python/nbsphinx/nbsphinx-0.9.3.ebuild
new file mode 100644
index 000000000000..7b49ace4b35d
--- /dev/null
+++ b/dev-python/nbsphinx/nbsphinx-0.9.3.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Jupyter Notebook Tools for Sphinx"
+HOMEPAGE="
+ https://github.com/spatialaudio/nbsphinx/
+ https://pypi.org/project/nbsphinx/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/nbconvert[${PYTHON_USEDEP}]
+ dev-python/nbformat[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-1.8[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-5[${PYTHON_USEDEP}]
+"
diff --git a/dev-python/oauth2/Manifest b/dev-python/oauth2/Manifest
new file mode 100644
index 000000000000..e36d62201cda
--- /dev/null
+++ b/dev-python/oauth2/Manifest
@@ -0,0 +1 @@
+DIST oauth2-1.9.gh.tar.gz 27353 BLAKE2B 07fd62f16e4053d2bac7c1ab672fd178967ff20c9e3ecd6a1c31d5898fa0aeb6170944b07b2345f73aa9b2928622e7e0e88f2a96cf0d0bb4ea89417de80917cd SHA512 ba3183aa4e5512920fa540955321646c167d23dfd4bc2fad4d5426e1b71e35e91fe11f6cd919a7913015f9bf33c43849659cb97c862a57b5c2e288ace29ad452
diff --git a/dev-python/oauth2/metadata.xml b/dev-python/oauth2/metadata.xml
new file mode 100644
index 000000000000..4b3f4061e512
--- /dev/null
+++ b/dev-python/oauth2/metadata.xml
@@ -0,0 +1,24 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>zdanevich.vitaly@ya.ru</email>
+ <name>Vitaly Zdanevich</name>
+ </maintainer>
+ <longdescription lang="en">
+ This library implements OAuth 1.0 and not OAuth 2.0.
+
+ This code was originally forked from Leah Culver and Andy Smith's oauth.py code. Some of the tests come from a fork by Vic Fryzel, while a revamped Request class and more tests were merged in from Mark Paschal's fork. A number of notable differences exist between this code and its forefathers:
+
+ 100% unit test coverage.
+ The DataStore object has been completely ripped out. While creating unit tests for the library I found several substantial bugs with the implementation and confirmed with Andy Smith that it was never fully baked.
+ Classes are no longer prefixed with OAuth.
+ The Request class now extends from dict.
+ The library is likely no longer compatible with Python 2.3.
+ The Client class works and extends from httplib2. It's a thin wrapper that handles automatically signing any normal HTTP request you might wish to make.
+ </longdescription>
+ <upstream>
+ <bugs-to>https://github.com/joestump/python-oauth2/issues</bugs-to>
+ </upstream>
+ <origin>gentoo-guru-overlay</origin>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/oauth2/oauth2-1.9.ebuild b/dev-python/oauth2/oauth2-1.9.ebuild
new file mode 100644
index 000000000000..99a27e2329e0
--- /dev/null
+++ b/dev-python/oauth2/oauth2-1.9.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYPI_NO_NORMALIZE=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{3..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="A fully tested, abstract interface to creating OAuth clients and servers."
+HOMEPAGE="https://github.com/joestump/python-oauth2"
+SRC_URI="https://github.com/joestump/python-${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+S=${WORKDIR}/python-${P}
+KEYWORDS="~amd64 ~x86"
+
+LICENSE="MIT"
+SLOT="0"
+
+RDEPEND="dev-python/httplib2[${PYTHON_USEDEP}]
+dev-python/mock[${PYTHON_USEDEP}]
+dev-python/pycodestyle[${PYTHON_USEDEP}]
+dev-python/pytest[${PYTHON_USEDEP}]"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+src_prepare() {
+ rm -rf "${S}/tests"
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/openstackdocstheme/Manifest b/dev-python/openstackdocstheme/Manifest
index 091104032153..4dcc6f121946 100644
--- a/dev-python/openstackdocstheme/Manifest
+++ b/dev-python/openstackdocstheme/Manifest
@@ -1 +1,2 @@
DIST openstackdocstheme-3.1.1.tar.gz 1256245 BLAKE2B e0f1a9b13fe7e28e851eddcbf73a87b28509b9ea3d597a4680b3c8b39d309700f7fde8cf9fe9a63d6ec7210e505d24d541e1592553b8a8c9cd85b38de09a4442 SHA512 b620486617f5ab2e5ce149030a9bd79408a856709603725b2e17400253aaadee732c2ea5954d80c9ab384ac266d85e7e6698f3b525115183b38693718b3f195b
+DIST openstackdocstheme-3.2.0.tar.gz 1256119 BLAKE2B b4e0536d9846270597f9456998a9e38d728acee1f992793354dd814596dbc8b189e7e86d1aab4d85b97abdf9a0a502cdef884447fe66b8b57836cf07bec26f67 SHA512 8a9cff0ef68c78917a8a18653567683dda269ea1c4c915d183324ad28ecdfc111083c94082b4e47a88f46f8990a20e3d277478ac02febb3ea0c31067069f315b
diff --git a/dev-python/openstackdocstheme/openstackdocstheme-3.2.0.ebuild b/dev-python/openstackdocstheme/openstackdocstheme-3.2.0.ebuild
new file mode 100644
index 000000000000..88561c09f9e7
--- /dev/null
+++ b/dev-python/openstackdocstheme/openstackdocstheme-3.2.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Theme and extension support for Sphinx documentation"
+HOMEPAGE="
+ https://docs.openstack.org/openstackdocstheme/latest/
+ https://opendev.org/openstack/openstackdocstheme/
+ https://github.com/openstack/openstackdocstheme/
+ https://pypi.org/project/openstackdocstheme/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc64 ~riscv ~s390 ~x86"
+
+BDEPEND="
+ >dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+"
+RDEPEND="
+ ${BDEPEND}
+ >=dev-python/dulwich-0.15.0[${PYTHON_USEDEP}]
+"
diff --git a/dev-python/oslo-concurrency/Manifest b/dev-python/oslo-concurrency/Manifest
index 524e59d199d8..43f188acc845 100644
--- a/dev-python/oslo-concurrency/Manifest
+++ b/dev-python/oslo-concurrency/Manifest
@@ -1 +1,2 @@
DIST oslo.concurrency-5.1.1.tar.gz 59787 BLAKE2B 630e5bef3a4a49d0f7b8b7f79643ef5f737248ec45de0e801107142b898a252fe7c67be6e0f6db4b968e5a163a47d63bc5f756c592d4f729f62c24aa9aeca172 SHA512 2eac13529f1635d39b5866d20d1f077ddcb2a676e78f4f50abe1df13c2fbf9f85aea1b360fde01e983459dcdc4958783477a87eb8fad106362e81e0f77b36561
+DIST oslo.concurrency-5.2.0.tar.gz 60052 BLAKE2B 9f45af8beaa5fc145963e3e12818325dff2a00178c3154a4cf7ce2950ca90d9771be590593cc195c2909930416501da1042768da9ba653c0126437bb518a338e SHA512 9f645aa611882e1b7218a7fbf65b54fef523d9cf067f894e9441c0a8de3ab80495ec8a167604412385edf12fc7a53b73ac0ef63e977889db7021dd5b93b0d72f
diff --git a/dev-python/oslo-concurrency/oslo-concurrency-5.2.0.ebuild b/dev-python/oslo-concurrency/oslo-concurrency-5.2.0.ebuild
new file mode 100644
index 000000000000..537d54179d71
--- /dev/null
+++ b/dev-python/oslo-concurrency/oslo-concurrency-5.2.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 2021-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYPI_PN=${PN/-/.}
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Oslo Concurrency library"
+HOMEPAGE="
+ https://opendev.org/openstack/oslo.concurrency/
+ https://github.com/openstack/oslo.concurrency/
+ https://pypi.org/project/oslo.concurrency/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-config-5.2.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-3.33.0[${PYTHON_USEDEP}]
+ >=dev-python/fasteners-0.7.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ # fails, then hangs
+ rm oslo_concurrency/tests/unit/test_lockutils_eventlet.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+ eunittest
+}
diff --git a/dev-python/oslo-config/Manifest b/dev-python/oslo-config/Manifest
index a8944e5ca873..da42115c7e82 100644
--- a/dev-python/oslo-config/Manifest
+++ b/dev-python/oslo-config/Manifest
@@ -1 +1,2 @@
DIST oslo.config-9.1.1.tar.gz 160964 BLAKE2B 180b76d9425b9be72dac22379618b69265ab7016044ac81ed826134036aa988d867882116a50597df62b702bfff4460ac17e7c1d435ff9a1f0028a2ff64b7a2f SHA512 820da069642a663cad0787ee4e100720dcc9870faeaa208c8aa5be5f3c6bbbf1e5e3d2cb8c5d86765fd4114744e2fd1a00902d79200ddeba5fcec2ed61405e4e
+DIST oslo.config-9.2.0.tar.gz 161235 BLAKE2B 186b79bab199db9369dd53952a9c6f54fafe17f950d7b66ed753f173a24726a6dbd06b794c73387f5ea6e77aa54a4d5bd0ef4752a5c564dfeea4e729fdf151e7 SHA512 69d8461f4ed5d4988fe527e4022c528244e9ecf76913a7af572e8073c0218987a69e6094edc56ff14eaf1b05fc5ffe7d81bb26ff17f87e4bd29a78d7959a3935
diff --git a/dev-python/oslo-config/oslo-config-9.2.0.ebuild b/dev-python/oslo-config/oslo-config-9.2.0.ebuild
new file mode 100644
index 000000000000..96f8928a8965
--- /dev/null
+++ b/dev-python/oslo-config/oslo-config-9.2.0.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYPI_PN=${PN/-/.}
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Oslo Configuration API"
+HOMEPAGE="
+ https://opendev.org/openstack/oslo.config/
+ https://github.com/openstack/oslo.config/
+ https://pypi.org/project/oslo.config/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/pbr-1.3[${PYTHON_USEDEP}]
+ >=dev-python/debtcollector-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/netaddr-0.7.18[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-1.20.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
+ >=dev-python/rfc3986-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.1[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.18.0[${PYTHON_USEDEP}]
+ dev-python/importlib-metadata[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/pbr-1.3[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-log-3.36.0[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-mock-1.5.0[${PYTHON_USEDEP}]
+ >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ # broken by some dep upgrade
+ sed -i -e '/DeprecationWarningTestsNoOsloLog/,$d' \
+ oslo_config/tests/test_cfg.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x COLUMNS=80
+ eunittest -b
+}
diff --git a/dev-python/oslo-context/Manifest b/dev-python/oslo-context/Manifest
index 718cedd36876..1b59d35dbbee 100644
--- a/dev-python/oslo-context/Manifest
+++ b/dev-python/oslo-context/Manifest
@@ -1 +1,2 @@
DIST oslo.context-5.1.1.tar.gz 33596 BLAKE2B ec16afb8af4c8532ee865a2184ff7d85845d826146482113d1c3e2e7ec43bb26d4e23b73f0de7589b9e1c82f6ef6f441bbff6c153f6c2dc4a1f81efe1ced6de1 SHA512 49e411b33dbe66ed20851a830db3fb52dc19ace786f7ba9b07be772390791d914eb7dd8424d38d48540c82a8cdccaf6a5eb70f8d2ca6f81ce24dfa72e6a8fa3a
+DIST oslo.context-5.2.0.tar.gz 33729 BLAKE2B 3ad22132b4951d00e5e884e77fc3e5acc122c43a09176886a7ef1f7aba3ed8bd0df562295fd2107edc8178b791101ef45bf1b44681dfbc6de49a06661a44ebd4 SHA512 d79c34a5f30a2e8ef2d44678f2e8200ab96aa5ceca501152461ea0d9e9eedcfccc563a075bbc7b85a5deba9165890d29e8e604f278a374b0f90c973ee4265c3e
diff --git a/dev-python/oslo-context/oslo-context-5.2.0.ebuild b/dev-python/oslo-context/oslo-context-5.2.0.ebuild
new file mode 100644
index 000000000000..e72eb2364827
--- /dev/null
+++ b/dev-python/oslo-context/oslo-context-5.2.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYPI_PN=${PN/-/.}
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Helpers to maintain useful information about a request context"
+HOMEPAGE="
+ https://opendev.org/openstack/oslo.context/
+ https://github.com/openstack/oslo.context/
+ https://pypi.org/project/oslo.context/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/debtcollector-1.2.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+distutils_enable_sphinx doc/source \
+ dev-python/openstackdocstheme
diff --git a/dev-python/oslo-i18n/Manifest b/dev-python/oslo-i18n/Manifest
index ed439ec259bb..6698d2387d86 100644
--- a/dev-python/oslo-i18n/Manifest
+++ b/dev-python/oslo-i18n/Manifest
@@ -1 +1,2 @@
DIST oslo.i18n-6.0.0.tar.gz 47479 BLAKE2B c49b3b1e79a5f72d6ebaeafa3024f891c72da4058eca711400d581eb5bf0a0dfd5f87ce0685f96a54aa06140fc4a5fa213220017b26a55a8d3ef72c3db397226 SHA512 50179ada0449e216ec0a269ed928ca196158fc576a4ee9e0ab4e916fea595bec261cdba90b0adcd3cd089ada4ee47d24c756e9142ebf49e3a446472141db1638
+DIST oslo.i18n-6.1.0.tar.gz 48031 BLAKE2B da2a03eb382154be31dfc09636395cc5f1c816972e81829181b7745b5f35693069fbe68b6b6223d9188d08a0e1ba277a137290810da9aebf3af49a9b4f2069ea SHA512 6ac6a4c7ea5e43d57c04765f0b0ae90047042ead81c086aa3229d8ffe5402a836e82238f6689d6f6d1a503d8abf147605dc1aab8b8bb4d738e575fb7948fd7e3
diff --git a/dev-python/oslo-i18n/oslo-i18n-6.1.0.ebuild b/dev-python/oslo-i18n/oslo-i18n-6.1.0.ebuild
new file mode 100644
index 000000000000..1fa57558c349
--- /dev/null
+++ b/dev-python/oslo-i18n/oslo-i18n-6.1.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYPI_PN=${PN/-/.}
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Oslo i18n library"
+HOMEPAGE="
+ https://opendev.org/openstack/oslo.i18n/
+ https://github.com/openstack/oslo.i18n/
+ https://pypi.org/project/oslo.i18n/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-5.1.0-fix-py3.11.patch"
+)
+
+RDEPEND="
+ >=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
diff --git a/dev-python/oslo-log/Manifest b/dev-python/oslo-log/Manifest
index a6b8b71e3107..bbced50794d8 100644
--- a/dev-python/oslo-log/Manifest
+++ b/dev-python/oslo-log/Manifest
@@ -1 +1,2 @@
DIST oslo.log-5.2.0.tar.gz 93528 BLAKE2B d52ee82e9e2d422649e9bc0baab77c8f72e3640cfba44d326daa759e746d8f83aa04fd5f3f6b7b9e2ffcced910706b85407f3f3f4f83755b48f7883d2150ac61 SHA512 171606a0e93f2a354c8b4369e6674d25b4f2e25a5c91ca3760beb753d7cc9b0d64754ec4ccb10785db3e5b40655be5f0c5f17bf5a3095af6077771a9cd7c2f4b
+DIST oslo.log-5.3.0.tar.gz 96999 BLAKE2B de8e6173bbea2bf30eb0da056144b25f7da74cfcaf2f6ce70619da86ec3babeda5c5c4784c055950bbfef724a807db6e25cb9792eecdf242ae2bcca00e3810fb SHA512 7db802c9c753562351c34feb63ebdff1306911ef392e4742fb08cfda08d8b09a81cb0e3ff85162ecd54a164a9c38a3a6f5a4d7cfc26bbd9ee84fefd172ca2fbd
diff --git a/dev-python/oslo-log/oslo-log-5.3.0.ebuild b/dev-python/oslo-log/oslo-log-5.3.0.ebuild
new file mode 100644
index 000000000000..bfbc1d9405e9
--- /dev/null
+++ b/dev-python/oslo-log/oslo-log-5.3.0.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYPI_PN=${PN/-/.}
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="OpenStack logging config library, configuration for all openstack projects"
+HOMEPAGE="
+ https://opendev.org/openstack/oslo.log/
+ https://github.com/openstack/oslo.log/
+ https://pypi.org/project/oslo.log/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/pbr-3.1.1[${PYTHON_USEDEP}]
+ >=dev-python/oslo-config-5.2.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-context-2.20.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-3.20.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-3.36.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-serialization-1.25.0[${PYTHON_USEDEP}]
+ >=dev-python/debtcollector-1.19.0[${PYTHON_USEDEP}]
+ >=dev-python/pyinotify-0.9.6[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.7.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/pbr-3.1.1[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/testtools-2.3.0[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-3.3.0[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx doc/source \
+ dev-python/openstackdocstheme \
+ dev-python/oslo-config
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local EPYTEST_IGNORE=(
+ # requires eventlet
+ oslo_log/tests/unit/test_pipe_mutex.py
+ )
+ local EPYTEST_DESELECT=(
+ # messed up with pytest
+ oslo_log/tests/unit/fixture/test_logging_error.py::TestLoggingFixture::test_logging_handle_error
+ )
+
+ case ${EPYTHON} in
+ python3.11)
+ # upstream is... *sigh*
+ EPYTEST_DESELECT+=(
+ oslo_log/tests/unit/test_log.py::LogConfigTestCase::test_log_config_append_invalid
+ )
+ esac
+
+ epytest
+}
diff --git a/dev-python/oslo-serialization/Manifest b/dev-python/oslo-serialization/Manifest
index bf67f9ba2cf1..4d951b39602c 100644
--- a/dev-python/oslo-serialization/Manifest
+++ b/dev-python/oslo-serialization/Manifest
@@ -1 +1,2 @@
DIST oslo.serialization-5.1.1.tar.gz 34306 BLAKE2B bf3f326e05ad86366eed93f144ea1c0736ac3e73f113336446bca1a73446aa913968a77c0ac5083de594244446fa6179846bca21bdf53911ee8d7cb6ba39d45d SHA512 a7a9c9d12d6ebf2c99e71f67ad304e2428e889184e0346ae606613a779990b8fa2ef272bb3aea876e8435a6e426b76b5d5a3bee2ad6b3a070c0c4a07a78ddf7c
+DIST oslo.serialization-5.2.0.tar.gz 35123 BLAKE2B 02dc1538562cdd0b5f601e9899561d44c6a651c514d3b4f00dbf05256e7109f485e1edabf1d69e578b903f177046128ddec944c85f2a2d238be9bf937bbe66d6 SHA512 6903b3a57ea3da75be5e22d0d9b5f14c8068be181be1845a5fed106d61e41c1f2288f9a667ec44b068670002b06f7f3f2d22821d34133fe60665f7146d133d22
diff --git a/dev-python/oslo-serialization/oslo-serialization-5.2.0.ebuild b/dev-python/oslo-serialization/oslo-serialization-5.2.0.ebuild
new file mode 100644
index 000000000000..686b1553cbe8
--- /dev/null
+++ b/dev-python/oslo-serialization/oslo-serialization-5.2.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYPI_PN=${PN/-/.}
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Oslo Serialization library"
+HOMEPAGE="
+ https://opendev.org/openstack/oslo.serialization/
+ https://github.com/openstack/oslo.serialization/
+ https://pypi.org/project/oslo.serialization/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/msgpack-0.5.2[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-3.33.0[${PYTHON_USEDEP}]
+ >=dev-python/pytz-2013.6[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/pbr-2.2.0[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/netaddr-0.7.18[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+distutils_enable_sphinx doc/source \
+ dev-python/openstackdocstheme
+
+python_prepare_all() {
+ # remove spurious rdeps on pbr and tzdata
+ sed -i -e '/pbr/d' -e '/tzdata/d' requirements.txt || die
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/oslo-utils/Manifest b/dev-python/oslo-utils/Manifest
index 5c171b1d879b..5da7152d63b5 100644
--- a/dev-python/oslo-utils/Manifest
+++ b/dev-python/oslo-utils/Manifest
@@ -1 +1,2 @@
DIST oslo.utils-6.2.0.tar.gz 103944 BLAKE2B b4637cb94c3b4923c5cb2203f78591e4cbe22a0fc71bd9f798277ddf4931adf48944972c782c253ebbd8108fb16f59b8d23b1ae4530d68480e44dec723b26983 SHA512 f1c378028775db19a13e5c1879b40742a171001f5044408995ff997cfb9cc7c815476f51744bf09f44c90672247fb2dff8ddc955bcd8749ea0066d5b79d0af34
+DIST oslo.utils-6.2.1.tar.gz 104079 BLAKE2B de29980ba15488005b20190b842a499ce5964a231c1350d2e6ed43fdb4cb21909f7a31fcd21761bf01c632b82966ffa8c73ffb69e42f278e7a65d2541ae6b08a SHA512 c72be6521fa15784064c114a972943a583033be6b53b81ab955cc0601c72ef0673e1e732c492bbd798270318ec89932d7a90725f477b1cc123b173f4660d4b2a
diff --git a/dev-python/oslo-utils/oslo-utils-6.2.1.ebuild b/dev-python/oslo-utils/oslo-utils-6.2.1.ebuild
new file mode 100644
index 000000000000..08d6663f7a98
--- /dev/null
+++ b/dev-python/oslo-utils/oslo-utils-6.2.1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYPI_PN=${PN/-/.}
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Oslo Utility library"
+HOMEPAGE="
+ https://opendev.org/openstack/oslo.utils/
+ https://github.com/openstack/oslo.utils/
+ https://pypi.org/project/oslo.utils/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/iso8601-0.1.11[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
+ >=dev-python/pytz-2013.6[${PYTHON_USEDEP}]
+ >=dev-python/netaddr-0.7.18[${PYTHON_USEDEP}]
+ >=dev-python/netifaces-0.10.4[${PYTHON_USEDEP}]
+ >=dev-python/debtcollector-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/pyparsing-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/packaging-20.4[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/pbr-2.2.0[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/ddt-1.0.1[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ sed -i -e '/tzdata/d' requirements.txt || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}"/install -name '*eventletutils*' -delete || die
+}
+
+python_test() {
+ cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+ eunittest
+}
diff --git a/dev-python/pyghmi/Manifest b/dev-python/pyghmi/Manifest
index c47cb77c8770..e276e71dc201 100644
--- a/dev-python/pyghmi/Manifest
+++ b/dev-python/pyghmi/Manifest
@@ -1,2 +1,3 @@
DIST pyghmi-1.5.61.tar.gz 252058 BLAKE2B 468805d478f665b1e516f9362c00519a5d82965158f5e829610eff81addf92860d69273f1e4d9708c245e33956a8e239e873b86a37f58c3d65a049bdd1a7a183 SHA512 783491d5ec76568a8c07c85d24e013aa9b532e06269c0c6efcddd6362fc184545fe8ce22c0ac5b447171163c88ec4656cea7435fa517e8dd5dc53b460bf8368e
DIST pyghmi-1.5.62.tar.gz 254190 BLAKE2B 1dd80e75688b66413c2b4168c082bb34a2f92123b8f5599794948e92b23defaab4a12885dba7bfefc1c4a0ba8bc21690dba0836cf3a2c38363c1c3c67672aca8 SHA512 d1c68f6c153948c5532581dd869b59e462be9027bb8c935147a61091e9c5f64b76f33119181f87ada755857fac6cd7671583dd737340b222b04d18e2db17e7a5
+DIST pyghmi-1.5.63.tar.gz 254851 BLAKE2B 08135260a090e82617ade86f603ff764bc0f3b36c2f57ce1005d5b7eea44ed4cc465eddb9f0b12c224e2872abc29288263eb42ecb02462cfd545972f5e237f84 SHA512 a80a6c367a8b4a13702628ada180aabe4d26786d420fb0f52b0f1e6f72e3ef8028043fb04bc8bb31da97495a49994956a5b1dc13e2313f0517ed36ce2b4fc9d7
diff --git a/dev-python/pyghmi/pyghmi-1.5.63.ebuild b/dev-python/pyghmi/pyghmi-1.5.63.ebuild
new file mode 100644
index 000000000000..205a2de992e6
--- /dev/null
+++ b/dev-python/pyghmi/pyghmi-1.5.63.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A pure python implementation of IPMI protocol"
+HOMEPAGE="
+ https://opendev.org/x/pyghmi/
+ https://pypi.org/project/pyghmi/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/cryptography-2.1[${PYTHON_USEDEP}]
+ dev-python/pbr[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.8.1[${PYTHON_USEDEP}]
+ >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-1.6.5[${PYTHON_USEDEP}]
+ >=dev-python/subunit-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
diff --git a/dev-python/pygresql/Manifest b/dev-python/pygresql/Manifest
index 406b3d42e47f..1cf74e6bf189 100644
--- a/dev-python/pygresql/Manifest
+++ b/dev-python/pygresql/Manifest
@@ -1 +1,2 @@
DIST PyGreSQL-5.2.4.tar.gz 270319 BLAKE2B 6ec2bf9786dd97f8649585bd00b87569d2cd668e43e8cc28443126ec2ee00943f044775b756785002c32aef516c4141e126e7d458b232bf8bfa1413bfdbd2db0 SHA512 3dbb90391e0a12f1ce4676dd5fa89d586d33a4bcb710779583beb05ae71131fbcf0412e702b542d856f3fd6ceeb145952c2f7bdede25efd08fe61ffcf0296212
+DIST PyGreSQL-5.2.5.tar.gz 272605 BLAKE2B 6b3d63ee5d34bbe4eb3f482c7a6e6ef02f6087bf8799aeabf57e2bd7bc77ba46d3d741d1f1355336df7f76f6d23c6d2894d3e3fcfbaafbe6171978c7fc4db30b SHA512 e99a9776e92d812fcf06cf3f448b38aa39ccd108b28237e22dcb663293db41c92d78aa72ad0665552dd99a6a0a8bad518521cacf0b545b888132758f36488f88
diff --git a/dev-python/pygresql/pygresql-5.2.5.ebuild b/dev-python/pygresql/pygresql-5.2.5.ebuild
new file mode 100644
index 000000000000..39ae62e0c909
--- /dev/null
+++ b/dev-python/pygresql/pygresql-5.2.5.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYPI_PN="PyGreSQL"
+POSTGRES_COMPAT=( 9.6 {10..14} )
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 postgres pypi
+
+DESCRIPTION="A Python interface for the PostgreSQL database"
+HOMEPAGE="http://www.pygresql.org/"
+
+LICENSE="POSTGRESQL"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~sparc ~x86"
+
+DEPEND="${POSTGRES_DEP}"
+RDEPEND="${DEPEND}"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-5.2-CFLAGS.patch
+)
+
+distutils_enable_tests unittest
+
+pkg_setup() {
+ if [[ ${MERGE_TYPE} != binary ]]; then
+ postgres_pkg_setup
+ fi
+}
+
+src_test() {
+ local db="${T}/pgsql"
+ initdb --username=portage -D "${db}" || die
+ pg_ctl -w -D "${db}" start \
+ -o "-h '127.0.0.1' -p 5432 -k '${T}'" || die
+ psql -h "${T}" -U portage -d postgres \
+ -c "ALTER ROLE portage WITH PASSWORD 'postgres';" || die
+ createdb -h "${T}" -U portage unittest || die
+
+ cat > tests/LOCAL_PyGreSQL.py <<-EOF || die
+ dbhost = '${T}'
+ EOF
+
+ distutils-r1_src_test
+
+ pg_ctl -w -D "${db}" stop || die
+}
+
+python_install_all() {
+ local DOCS=( docs/*.rst docs/community/* docs/contents/tutorial.rst )
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/pyproject-fmt/Manifest b/dev-python/pyproject-fmt/Manifest
index 0f1fd4e771d2..9e31e433095c 100644
--- a/dev-python/pyproject-fmt/Manifest
+++ b/dev-python/pyproject-fmt/Manifest
@@ -1,3 +1,4 @@
DIST pyproject_fmt-0.13.0.tar.gz 13021 BLAKE2B 911925fb489782af9952cea68105ceeaa62fe96af130688f08892bc6fc701063f0a3b17c079323fd5358999f73fdffff59dbe910ca280cf9a963b2e45c10d22d SHA512 eb97893c9e04edd4667f961cb2232cda1be42f96ae94cd95886e70e48835b0228a0054bb4a75c439deff16990335ef56fbf60b8a0b2530d18856d075d42ff404
DIST pyproject_fmt-0.13.1.tar.gz 13938 BLAKE2B 42a75840a45eeb96a58bc277a4e1834a4e2965a18a41d4305ff6060c1e01835474f664494f1fdde2ddd4bc945818691f72e9d1033090d321f2444dcb6c529f28 SHA512 e8465f94590557f89bfbd7e3825831420859ba291f0413444de10709ec866d6b771f6fe139acaf930b2139c638b90a58c9bddf2ae6aecfb9745b306b815a041d
DIST pyproject_fmt-1.0.0.tar.gz 13946 BLAKE2B a1c3f91a9b7f04b7f980ebbb19a93fee1b445ad87c34c0ddcff39545371f02e7b8448df0706d9d42eee7f52f7f616c6c8b2a7a844c3acbe251fc958f1f8c7d37 SHA512 a8d39edaf1ddaa5e8a84a6854c5fc4e1284caaf89f0a87ec67f22a06186f7ad7cf4ffe0e07f2c51f626a5e488b1814b17e1b3697103233b6de087e8787f0207a
+DIST pyproject_fmt-1.1.0.tar.gz 14219 BLAKE2B 9b5180edab6f1f0684d1bc5a503321f09d59acfc71e2f98a36c2b974f95a3f6c0309d43e2a87cbb0c9249d3bc0f74f0696dd3965d9fd2c8329441a2f20fcafea SHA512 dc18e19b7140bfe7a97e1b9720d493327f9006fb666130438b0ef670a91480e2faaad9ff951d42b8856044d028b725ec3b6a522084b7090208df5c853cefc78c
diff --git a/dev-python/pyproject-fmt/pyproject-fmt-1.1.0.ebuild b/dev-python/pyproject-fmt/pyproject-fmt-1.1.0.ebuild
new file mode 100644
index 000000000000..dd65ff95267e
--- /dev/null
+++ b/dev-python/pyproject-fmt/pyproject-fmt-1.1.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{8,9,10,11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Format your pyproject.toml file"
+HOMEPAGE="
+ https://github.com/tox-dev/pyproject-fmt/
+ https://pypi.org/project/pyproject-fmt/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/natsort[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/tomlkit[${PYTHON_USEDEP}]
+"
+# tox is called as a subprocess, to get targets from tox.ini
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/pytest-mock-3.10[${PYTHON_USEDEP}]
+ dev-python/tox
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # upstream lower bounds are completely meaningless and copying them
+ # to the ebuild is a horrible waste of time
+ sed -i -e 's:>=[0-9.]*::' pyproject.toml || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/pyrate-limiter/Manifest b/dev-python/pyrate-limiter/Manifest
index 4e288d151240..224a8f4aae48 100644
--- a/dev-python/pyrate-limiter/Manifest
+++ b/dev-python/pyrate-limiter/Manifest
@@ -1 +1,3 @@
DIST pyrate-limiter-2.10.0.gh.tar.gz 71838 BLAKE2B 3b8fd16684268870991c3a731c5497802c6f7be51e57bc983a14a7484fad2d0983613304fa061fdb70a3e6645d17fe37fbd68e9ddeca57bc7bd97fef4a5d8585 SHA512 b0090b2d80d40ba2f86ac7b5c5612a35fa885b52a87d783aa9726782275e79ca8d54a9a44b1f0dd43c98bf2355f4c17e1686d7c7f806934ea492b67f66b06ffe
+DIST pyrate_limiter-3.0.1.tar.gz 276145 BLAKE2B f7e861b4abb7269e38a7c4c75d6131c453ee0a8dc8fc48686571d22f87d3c95b0e7d3d1bf99c22966276a9949d60abc4edceadad3db93bf247947c4067dbf6a1 SHA512 4f0656e2f8d38319e58b36c4301860a7c326a2daac85d170dc951a14813dc6f0c7a4995b8bf12a354da6d9e192fdf80fa8d8ee4f77e429e8cfc6f5366a8e415c
+DIST pyrate_limiter-3.1.0.tar.gz 276659 BLAKE2B 2858b2cbb4805f139ae1a26171e6a1c235eb2d8eb93380f10ed27db16e2983b01b83e7d72d4bf5b44b69710569687e86c1194ea3e1a5ff8750e5966faf5a5b6e SHA512 601b70a380965fc108ec110842170ea73065af38a809c8d103d5061948058590c6a228327ed425e1c69ef30d2c832cb8a61508d326eb3bcd6cbb2df813fa987e
diff --git a/dev-python/pyrate-limiter/pyrate-limiter-3.0.1.ebuild b/dev-python/pyrate-limiter/pyrate-limiter-3.0.1.ebuild
new file mode 100644
index 000000000000..243c50a1af60
--- /dev/null
+++ b/dev-python/pyrate-limiter/pyrate-limiter-3.0.1.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 multiprocessing pypi
+
+DESCRIPTION="Python Rate-Limiter using Leaky-Bucket Algorimth Family"
+HOMEPAGE="
+ https://github.com/vutran1710/PyrateLimiter/
+ https://pypi.org/project/pyrate-limiter/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/filelock[${PYTHON_USEDEP}]
+ dev-python/redis[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_DESELECT=(
+ # Optional dependency redis-py-cluster not packaged
+ "tests/test_02.py::test_redis_cluster"
+ # Python 3.11 is slightly faster, leading to a non-critical failure here
+ "tests/test_concurrency.py::test_concurrency[ProcessPoolExecutor-SQLiteBucket]"
+)
+
+# TODO: package sphinx-copybutton
+# distutils_enable_sphinx docs \
+# dev-python/sphinx-autodoc-typehints \
+# dev-python/furo \
+# dev-python/myst-parser \
+# dev-python/sphinxcontrib-apidoc
+distutils_enable_tests pytest
+
+src_test() {
+ local redis_pid="${T}"/redis.pid
+ local redis_port=6379
+
+ # Spawn Redis itself for testing purposes
+ einfo "Spawning Redis"
+ einfo "NOTE: Port ${redis_port} must be free"
+ "${EPREFIX}"/usr/sbin/redis-server - <<- EOF || die "Unable to start redis server"
+ daemonize yes
+ pidfile ${redis_pid}
+ port ${redis_port}
+ bind 127.0.0.1 ::1
+ ${extra_conf}
+ EOF
+
+ # Run the tests
+ distutils-r1_src_test
+
+ # Clean up afterwards
+ kill "$(<"${redis_pid}")" || die
+}
+
+python_test() {
+ epytest -n "$(makeopts_jobs)" --dist=worksteal
+}
diff --git a/dev-python/pyrate-limiter/pyrate-limiter-3.1.0.ebuild b/dev-python/pyrate-limiter/pyrate-limiter-3.1.0.ebuild
new file mode 100644
index 000000000000..243c50a1af60
--- /dev/null
+++ b/dev-python/pyrate-limiter/pyrate-limiter-3.1.0.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 multiprocessing pypi
+
+DESCRIPTION="Python Rate-Limiter using Leaky-Bucket Algorimth Family"
+HOMEPAGE="
+ https://github.com/vutran1710/PyrateLimiter/
+ https://pypi.org/project/pyrate-limiter/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/filelock[${PYTHON_USEDEP}]
+ dev-python/redis[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_DESELECT=(
+ # Optional dependency redis-py-cluster not packaged
+ "tests/test_02.py::test_redis_cluster"
+ # Python 3.11 is slightly faster, leading to a non-critical failure here
+ "tests/test_concurrency.py::test_concurrency[ProcessPoolExecutor-SQLiteBucket]"
+)
+
+# TODO: package sphinx-copybutton
+# distutils_enable_sphinx docs \
+# dev-python/sphinx-autodoc-typehints \
+# dev-python/furo \
+# dev-python/myst-parser \
+# dev-python/sphinxcontrib-apidoc
+distutils_enable_tests pytest
+
+src_test() {
+ local redis_pid="${T}"/redis.pid
+ local redis_port=6379
+
+ # Spawn Redis itself for testing purposes
+ einfo "Spawning Redis"
+ einfo "NOTE: Port ${redis_port} must be free"
+ "${EPREFIX}"/usr/sbin/redis-server - <<- EOF || die "Unable to start redis server"
+ daemonize yes
+ pidfile ${redis_pid}
+ port ${redis_port}
+ bind 127.0.0.1 ::1
+ ${extra_conf}
+ EOF
+
+ # Run the tests
+ distutils-r1_src_test
+
+ # Clean up afterwards
+ kill "$(<"${redis_pid}")" || die
+}
+
+python_test() {
+ epytest -n "$(makeopts_jobs)" --dist=worksteal
+}
diff --git a/dev-python/rpds-py/Manifest b/dev-python/rpds-py/Manifest
index fba56e22bb16..d4c11c3ca57f 100644
--- a/dev-python/rpds-py/Manifest
+++ b/dev-python/rpds-py/Manifest
@@ -1,4 +1,5 @@
DIST archery-0.5.0.crate 21685 BLAKE2B b66ea183892b8adba0d9d85fdb7df4c428dc81f1364804c9bf75ad2c0ddf4f7ea3481ae13e1cc4cdddba55862285bea078880a582f9206e8dd030a05c7420b60 SHA512 2f05d48053327dabc92a4f439e7f19aee627cd8ab773e4df8aa0bc4d79e3e4b7deb9da20afb3f5fcc14428a20671257c1ced78cd7e15733793d8705b52880b3e
+DIST archery-1.0.0.crate 21187 BLAKE2B 5dd323734a238ccc84c186d19fbc1557d8845a7e3b64b53eb952f17e3d44078931e9e2a96fe15373721ee5df4426844a4309172a9ada7a51b4ed71fad1deee55 SHA512 4f955fec7df473279925f195fbb48159ef1e23f9722c416347c84eee22ba9d2a2ecc466a879f43f1f8aed53778467f6d203ca43bfca9dd24f3f7a4cb0cc0eb89
DIST autocfg-1.1.0.crate 13272 BLAKE2B 7724055c337d562103f191f4e36cab469e578f0c51cc24d33624dea155d108a07578703766341fd6a4cc1ef52acda406e7dba1650d59115f18261281e5b40203 SHA512 df972c09abbdc0b6cb6bb55b1e29c7fed706ece38a62613d9e275bac46a19574a7f96f0152cccb0239efea04ee90083a146b58b15307696c4c81878cd12de28f
DIST bitflags-1.3.2.crate 23021 BLAKE2B eb990bb27b2bdeb66fd7212ce582cb36e1c616debbac85df642d0c82b25439e6bf9b1e811fac76b59e58ea3c1bbea6170d03a61e8f9a395e4334a0e2e2987eda SHA512 3c698f757b5cc62f815f9a1cce365c3d2dd88e4db71f331dff8bba86c2865f755b81cb4c9bfc59bd86b7643b0943f9e09a7c4f8ad75eb2ab0e714803d0129f62
DIST cfg-if-1.0.0.crate 7934 BLAKE2B e99a5589c11d79d77a4537b34ce0a45d37b981c123b79b807cea836c89fc3926d693458893baca2882448d3d44e3f64e06141f6d916b748daa10b8cc1ae16d1b SHA512 0fb16a8882fd30e86b62c5143b1cb18ab564e84e75bd1f28fd12f24ffdc4a42e0d2e012a99abb606c12efe3c11061ff5bf8e24ab053e550ae083f7d90f6576ff
@@ -11,13 +12,20 @@ DIST parking_lot-0.12.1.crate 40967 BLAKE2B 940a112a066e3cbd15e2f6df89bfff37e4ec
DIST parking_lot_core-0.9.8.crate 32383 BLAKE2B 2f9666872894d1c85895437d1353f9e15be2bc8d004ffc8f0e5be95e9dd4b274797db3752eba1c0b5b6071c1b8a71e4857cae0b2aff1afdaa39e92e70be2e6fd SHA512 8d6dfdf661b0f7d0774cb9f61121f2daefd182ac8a2a0d24eab451febfbe1a664c815c163d34a7f3d15a54915a8e22e6c6cd10e89cb7d7598d48d81ad6a3c256
DIST proc-macro2-1.0.66.crate 43575 BLAKE2B 9eb3e816b00fcf625c280ba14ad269f5893d0523473a24de07c21945f6f932fbd08efb3c339b35d903245510e3f065e1478439b024a325f2bb9f97bc7bcbb18d SHA512 85f5a762f9411142e5ac28144bd380f07f0633ed2e44d8a2545be9fb8f42abaca6b5d45631b4be83b8e8b9beca7438bc52f25615c3a410a3a1249474b1aca407
DIST pyo3-0.19.1.crate 418297 BLAKE2B 19ad6aa4fba175961b7fe97ae0bc45050f930859972b1b25cf0139bb3436c050ba76b63894f0df26174f141a52ac6abf10fd84c03c056af5a0665e723ae24195 SHA512 b27500cf49f1c6f217d21344d24ac96c07b82c157dd36fa4550b94059da5715ba7d0e085ec07dd5f8a8ac9de4d7e9239c1cceac4337294eb0dc9f6102049d5ff
+DIST pyo3-0.19.2.crate 418228 BLAKE2B ee018b33383fada78cd22643aea9231a8c8a2f19d1eb297f40eec9206c5220f322fff4c926d939a93a24ac6d231a207ebb25afcc0709191151c7ed9af7465efa SHA512 58698183e0f2f0507f8f765bf3e90185c933e78d62f0a9be65c4b1ce8eea19a98fe0341abe7c58cafdacb63a012ec417876dccb7be6facc1360fcb22796fcaf9
DIST pyo3-build-config-0.19.1.crate 29205 BLAKE2B f88cbf9763fd68f7b30d109ae608efc29e0d4bf6672ee5f31b77342b5f37baa4f981916124af6897ccea3d93990ff889815fc3abbe9ce3fdbd860b6d5698b7da SHA512 311fef01ac2c3ce12485849cb99eba038a36260206308c5af4621fc5393f942e03aae4f6a5fe24ef3005eb781d2161453667ad552d6a371ddd96460b05a2e710
+DIST pyo3-build-config-0.19.2.crate 29206 BLAKE2B 5b1cd80d643e448cf8f1d28a514333526061c178121b9a0dcb5bff6082f402ecfd166536d94d42065f6dc1f108a73f12bbb78eedf9ea053a6aa2e9c80ac00ddf SHA512 ccc73061ec1989258921c5b5800689170635fa5503d74a4ac458baef903dd31efa41995d238783f1e099ece1f66d0a0e95c4fcb4b772b9f653dbb20e838b4e28
DIST pyo3-ffi-0.19.1.crate 64837 BLAKE2B deb3065ce99b4bd3b5dee182f7cc20dbbb1792e792e78425f30a71ad3e45aa8552f99f02debd640e16db44cbcad58f67b04ca6e08cb964e788d41dca64500a0c SHA512 6293d75c71ebe80c320f0a240716a2e0c62f66aecc58320f2f40a81f85390c7d9174b4888ead89818b73fdc8d3d21df12adc6625087f0c9ebb82767d4a7c5adc
+DIST pyo3-ffi-0.19.2.crate 66500 BLAKE2B b4139fba31ef17017b6b60784e41ccda34931a072c2638af1eed8d02d7af701c46fe38b12772d2301cff41d10a433ff0f00a69d79d40233eadafe82abe585f8d SHA512 789191bca537998dd23d72dce4f185b84bbe700f4171c47de35b9bbca15a180ad214392b4f465cc1ecb0be955ebec1cf5a3c497815073be18035bd8bf8c51a32
DIST pyo3-macros-0.19.1.crate 7173 BLAKE2B b8d53ed51e2454abb77528c9e08315f288718dca08888bc24752f156942c27ffff75c88504bddcf05cc89d16b3fd2cd86280b0b94bd09947a2ffa4c800dfde68 SHA512 2c12cff4a8af948f9ecaadb83d1ed5199758f9e9c626c5930a1b74c65027a8b74dcf989ee470798aeff7c1165650d5d3dd75cb1f813859b7b8e241cd2bb8f2eb
+DIST pyo3-macros-0.19.2.crate 7173 BLAKE2B 8862f42a30929579b0b0bc2ba7f0b416518724480e197fa13288e49324e851f964183e1529b7f31bf5d4fe0ae194a412723b6b401100e66fba98bbcd9c283866 SHA512 852cc2792aa3d30d9ab8802a451be5617cae6536adced1bf0dde71704a3c7c1bfe862fba751b6d045249819a8ba5d87dfc50914d142a0b662f046498c06f8c2e
DIST pyo3-macros-backend-0.19.1.crate 49916 BLAKE2B 930774ee7ec936bbefc4ea81e2496cd15438dc82954ec7b85c0bc42b290b41c60869f8b31e109ba16a373d3ebf1e0058c0c7ef7d4911ae40feb99fb61d66a745 SHA512 7c7949588a15ef57b12f11e903c1110228bb653212761c97ff50399aa39be97108b471a2cdf47afb307f6c86bfb24b3e9ab32fd08e0550ee27e8808f2acd5145
+DIST pyo3-macros-backend-0.19.2.crate 49962 BLAKE2B 9d8a032c2205f55d2431b6bbc40df153339e08479df3a8a65506ade7d1f3d17cfaf664cbd09eaec9acff3f5a248598e37427d0c5a531eaf527137803adf49834 SHA512 fd708e6fdbd54ef7c676bedc62070175bac6b8f7ae11231578196dbf552b163a8a2499a1266f786bb6bfb85517fe83610902137d59a5c42efcb1a27c4235a07e
DIST quote-1.0.31.crate 27881 BLAKE2B 47c8ac1051f7fa03d002420ade3cb18bf2aedc6ba922d13b117c016ee89c3326bea5cad32ec2f0e5ac1afcce68982f20b3f973914c205e6d6f426487989c6ec4 SHA512 8b2ec131937ce53f3fa01e68fb9261ed6442222e513cbe86f62b6da3cf3051cda0d134dc8028bc6c992fa63735ef3507490a169f8b4af1d6fc17058c6d2faaab
DIST redox_syscall-0.3.5.crate 23404 BLAKE2B 85aa4299d9816666bf576f523da5cdeae87b3c8fbb2af103e82258d23f73303c068a4b6c3ef4117ad67958cb31e41f836a9f59f2ce1bc52c23605e34399afcf1 SHA512 16f8f4766932bb54e4740cfdb4f0802f76246c0bf88c1d76c69c115949b124b625d8c3b85d8947073c2e9544f425aa16c10f71fabe3c03d29e424c47fe4ccdde
DIST rpds-0.13.0.crate 67994 BLAKE2B 91b4aec7a25b81566288c5fefe5f89a0f8b9eae83caf05cf7a9796394df70ae79b721b64804f72c582bfc41ff59647a9bc0980ba7dc9438412f6445e4a916b5b SHA512 6567eabae407fb2c5eea49395d6901c540dc0b4dbd585d5f93fed1b4a71885a784fb8652f46cca5148acd35957040c4a61ce1d95e871cf494b41db846fd38698
+DIST rpds-1.0.0.crate 68927 BLAKE2B 518fce45866faf3bbdf7b67d53a34f31445bb76e0b35b72e03c8d799ce2a95d710f296b6273882c4a9c9511859f042f1fd3b19f9b0d065da66847d2b57fa16cc SHA512 2fd73bf821c192955217e1aa471372bbdb4abc3c495a65c7495905278e4425afb16534920afbf55e368700456ab323cd2d45235dc04beaa134256a19714c6a49
+DIST rpds_py-0.10.0.tar.gz 17161 BLAKE2B 14dfba630d9f5d4170fe9f826c5e763f7637fe50fbcba88f9dcc643f702d7845571e2780b6f0c72891dc6a828b7ea2f0c6743b4d48d0a09055fb9255d8dbc517 SHA512 a9298a3a28d52ef7617cfcfc9c5fd024bc8d10db78158e544644bbc58ac346c5c776602cdaf56cdd995a5e644452e3f72891964aa039c8685ac966cef8c10653
DIST rpds_py-0.9.2.tar.gz 16898 BLAKE2B 0ebb58586c51bb93cd31a166a49fc79054ca624bcccb0501138cc267ddfa152d5d6def49e2927c10bfbb580505d1ad761cafc7ff266ca965a92f6167d811e151 SHA512 5a3d1b4ca27cd9b73edf7c03c8def5350949a56df0a322e317a7d3e6e31933694fe21928218ebeb51074322dcde6e4f807283e0359f8f31b0ca6b69180be3260
DIST scopeguard-1.1.0.crate 11470 BLAKE2B f774eb90b7d3ffb2efba47518e9d1dead4017ab4b38a4bd74914daa84a5af4bf9eb63da0496e3924499d79cd0439c37447aeda4a21226f95645bddcd6becfabe SHA512 368fa5726df8f42b599993681579a9ffd0196480ee3cd0f9f671e8493f3bedd1e1779bdf2beb329e77e0005fa09b816e3385f309490c0f2781568db275d4d17d
DIST smallvec-1.11.0.crate 34680 BLAKE2B e54d56f6bbffbfa7ce5fe5f04e325b2e5cf19d290e4be278bc00a136e26284625b9c18c7c2b10b7fb8fad0ea7e3770f3cdbcfbaa913f5ac08d0a2f8b4e0de188 SHA512 41bfbecbc2c244497568a41724d65791ec3fd6d8057813d521367cca316c09c2b28fb3973826236b01c1f5d2f905d8d22b0c3c47f957a9ff5d7685591f15ccd7
diff --git a/dev-python/rpds-py/rpds-py-0.10.0.ebuild b/dev-python/rpds-py/rpds-py-0.10.0.ebuild
new file mode 100644
index 000000000000..f5c5f0a6ef2b
--- /dev/null
+++ b/dev-python/rpds-py/rpds-py-0.10.0.ebuild
@@ -0,0 +1,76 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=maturin
+PYTHON_COMPAT=( python3_{8,9,10,11} pypy3 )
+
+CRATES="
+ archery@1.0.0
+ autocfg@1.1.0
+ bitflags@1.3.2
+ cfg-if@1.0.0
+ indoc@1.0.9
+ libc@0.2.147
+ lock_api@0.4.10
+ memoffset@0.9.0
+ once_cell@1.18.0
+ parking_lot@0.12.1
+ parking_lot_core@0.9.8
+ proc-macro2@1.0.66
+ pyo3-build-config@0.19.2
+ pyo3-ffi@0.19.2
+ pyo3-macros-backend@0.19.2
+ pyo3-macros@0.19.2
+ pyo3@0.19.2
+ quote@1.0.31
+ redox_syscall@0.3.5
+ rpds@1.0.0
+ scopeguard@1.1.0
+ smallvec@1.11.0
+ static_assertions@1.1.0
+ syn@1.0.109
+ target-lexicon@0.12.9
+ unicode-ident@1.0.11
+ unindent@0.1.11
+ windows-targets@0.48.1
+ windows_aarch64_gnullvm@0.48.0
+ windows_aarch64_msvc@0.48.0
+ windows_i686_gnu@0.48.0
+ windows_i686_msvc@0.48.0
+ windows_x86_64_gnu@0.48.0
+ windows_x86_64_gnullvm@0.48.0
+ windows_x86_64_msvc@0.48.0
+"
+
+inherit cargo distutils-r1 pypi
+
+DESCRIPTION="Python bindings to Rust's persistent data structures (rpds)"
+HOMEPAGE="
+ https://github.com/crate-py/rpds/
+ https://pypi.org/project/rpds-py/
+"
+SRC_URI+="
+ ${CARGO_CRATE_URIS}
+"
+
+LICENSE="MIT"
+# Dependent crate licenses
+LICENSE+="
+ Apache-2.0 Apache-2.0-with-LLVM-exceptions MIT MPL-2.0
+ Unicode-DFS-2016
+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ )
+"
+
+QA_FLAGS_IGNORED="usr/lib.*/py.*/site-packages/rpds/rpds.*.so"
+
+distutils_enable_tests pytest
diff --git a/dev-python/sphinx/Manifest b/dev-python/sphinx/Manifest
index dd8d146ff282..aa272082340c 100644
--- a/dev-python/sphinx/Manifest
+++ b/dev-python/sphinx/Manifest
@@ -7,3 +7,4 @@ DIST sphinx-7.1.2.gh.tar.gz 6882028 BLAKE2B 3ceabcb688824d929a5258978433b46a3166
DIST sphinx-7.2.0.gh.tar.gz 7060825 BLAKE2B c911e49903b3682a08271871ec79b907f41a581b21eeef26dfdeccdd3acbf9744ac25233095f3036f3061231407e29653dc3dfbbb0b1ba3fa4f5db44dda7d8c2 SHA512 282c53a2fc8533a99455aca49ab0ebc75b5fdfe5fea9c72bbf1d85d67843bce7cd14ee375a1f1bcd16863bd9f8a072a13364720ae8e84adbaecae1dbec6bfae9
DIST sphinx-7.2.2.gh.tar.gz 7061263 BLAKE2B 71b9ad7240bc487efb5fa446799aa3d7dd1fd24eb3340ec27b8642ee4eb464de1941912e4106f1d1038c04a8b98cfd782f336b8cf4d7a3a24b858931262ac66c SHA512 a15232c6e50ea2263e9dc6ece79e906d787e541e6a5d0c85c8c9a6a50dd0c95da3743023928be1b05cccdcf79c67f1d5b16ad300e5d67da2a511e81a2c54608f
DIST sphinx-7.2.3.gh.tar.gz 7063906 BLAKE2B 346ac3de17ae02b9b5167f3a13bf52ead9712b3ef2e71fc3d63882ff413e48b2b3c6688cc1eef9545193ef51ac0a1a0d56dad4442b8c8c79ae0b91159510486b SHA512 1bafc21415e606430da178e1ea43e6abb8ab24fdef0f4f94a049cde32d6dead71417454195fa23c00f674ef50b2ee903a9fd31d817d4c49fcfbcd06cfa4b4835
+DIST sphinx-7.2.4.gh.tar.gz 7064614 BLAKE2B 806717bf44b4d78cb28f0a0255d8be82260222c4d9f6bdc9d00269037b67725efd076a174f8863f8310a1a03809628f28e19599e2a24fb4235abefc68ea29c9d SHA512 18f926f34042a1b85d42f62ac684d75472422fd21d33f1f06c8ccc4d8ab27edee27f6252e1515d9ab2789273e928548d9452f6e9b8ee31f8344d6a2782d65057
diff --git a/dev-python/sphinx/sphinx-7.2.4.ebuild b/dev-python/sphinx/sphinx-7.2.4.ebuild
new file mode 100644
index 000000000000..f0bc84a91ab1
--- /dev/null
+++ b/dev-python/sphinx/sphinx-7.2.4.ebuild
@@ -0,0 +1,125 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{8,9,10,11} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Python documentation generator"
+HOMEPAGE="
+ https://www.sphinx-doc.org/
+ https://github.com/sphinx-doc/sphinx/
+ https://pypi.org/project/Sphinx/
+"
+SRC_URI="
+ https://github.com/sphinx-doc/sphinx/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="doc latex"
+
+RDEPEND="
+ <dev-python/alabaster-0.8[${PYTHON_USEDEP}]
+ >=dev-python/Babel-2.9[${PYTHON_USEDEP}]
+ <dev-python/docutils-0.21[${PYTHON_USEDEP}]
+ >=dev-python/docutils-0.18.1[${PYTHON_USEDEP}]
+ >=dev-python/imagesize-1.3[${PYTHON_USEDEP}]
+ >=dev-python/jinja-3.0[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.14[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.25.0[${PYTHON_USEDEP}]
+ >=dev-python/snowballstemmer-2.0[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-applehelp[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-devhelp[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-jsmath[${PYTHON_USEDEP}]
+ >=dev-python/sphinxcontrib-htmlhelp-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/sphinxcontrib-serializinghtml-1.1.9[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-qthelp[${PYTHON_USEDEP}]
+ >=dev-python/packaging-21.0[${PYTHON_USEDEP}]
+ latex? (
+ dev-texlive/texlive-latexextra
+ dev-texlive/texlive-luatex
+ app-text/dvipng
+ )
+ !dev-python/namespace-sphinxcontrib
+"
+BDEPEND="
+ doc? (
+ dev-python/sphinxcontrib-websupport[${PYTHON_USEDEP}]
+ media-gfx/graphviz
+ )
+ test? (
+ app-text/dvipng
+ >=dev-python/cython-3.0.0[${PYTHON_USEDEP}]
+ dev-python/filelock[${PYTHON_USEDEP}]
+ dev-python/html5lib[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-67.0[${PYTHON_USEDEP}]
+ dev-texlive/texlive-fontsextra
+ dev-texlive/texlive-latexextra
+ dev-texlive/texlive-luatex
+ virtual/imagemagick-tools[jpeg,png,svg]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/sphinx-3.2.1-doc-link.patch"
+ "${FILESDIR}/sphinx-4.3.2-doc-link.patch"
+)
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # disable internet access
+ sed -i -e 's:^intersphinx_mapping:disabled_&:' \
+ doc/conf.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ # we can't use distutils_enable_sphinx because it would
+ # introduce a dep on itself
+ use doc && build_sphinx doc
+}
+
+python_test() {
+ mkdir -p "${BUILD_DIR}/sphinx_tempdir" || die
+ local -x SPHINX_TEST_TEMPDIR="${BUILD_DIR}/sphinx_tempdir"
+
+ local EPYTEST_DESELECT=(
+ # these tests require Internet access
+ tests/test_build_latex.py::test_latex_images
+ # TODO
+ tests/test_ext_autodoc.py::test_cython
+ tests/test_ext_autodoc_autoclass.py::test_classes
+ tests/test_ext_autodoc_autofunction.py::test_classes
+ # looks like a bug in lualatex
+ "tests/test_build_latex.py::test_build_latex_doc[lualatex-howto-None]"
+ "tests/test_build_latex.py::test_build_latex_doc[lualatex-manual-None]"
+ # doesn't like paths?
+ tests/test_directive_other.py::test_include_source_read_event
+ # flaky
+ tests/test_build_linkcheck.py
+ )
+ [[ ${EPYTHON} == pypy3 ]] && EPYTEST_DESELECT+=(
+ tests/test_ext_autodoc.py::test_autodoc_inherited_members_None
+ tests/test_ext_autodoc.py::test_automethod_for_builtin
+ tests/test_ext_autodoc.py::test_partialfunction
+ tests/test_ext_autodoc_autofunction.py::test_builtin_function
+ tests/test_ext_autodoc_autofunction.py::test_methoddescriptor
+ tests/test_ext_autodoc_preserve_defaults.py::test_preserve_defaults_special_constructs
+ tests/test_ext_autosummary.py::test_autosummary_generate_content_for_module
+ tests/test_ext_autosummary.py::test_autosummary_generate_content_for_module_skipped
+ tests/test_util_inspect.py::test_isattributedescriptor
+ tests/test_util_typing.py::test_is_invalid_builtin_class
+ )
+
+ # note: pytest-xdist causes random test failures
+ epytest
+}
diff --git a/dev-python/zeroconf/Manifest b/dev-python/zeroconf/Manifest
index a4eb14161241..720e923ffa47 100644
--- a/dev-python/zeroconf/Manifest
+++ b/dev-python/zeroconf/Manifest
@@ -7,3 +7,4 @@ DIST zeroconf-0.79.0.tar.gz 147440 BLAKE2B fb0fb75a90a3c33dd0dfdaed55a54bcf8c58d
DIST zeroconf-0.80.0.tar.gz 147419 BLAKE2B 04f93331a667863f8ac5a40d156468d9ffceb010220c989b801b296fa5ad160660b2c34892b960e57f2876c823f236d91b61fe672e712e50238efe34d2c28721 SHA512 72f3d7c00474a8d31d69b6d3c5c1408cd6b4ceb4b4a6d6c80e8dbd51f90e0e9897734fb80e6b1f3cf744d2658102c58e051db52c42b89e29dc0f5fc870c08227
DIST zeroconf-0.81.0.tar.gz 148284 BLAKE2B 103ae54a20b8d23bac94dcd2d48a05c567158cca6617344e90c8f0676a21262e2ee82eceaa236edb998409f3e5385ad8d8f091c1b5ed100a6196de3586f1ffff SHA512 66d2a9ba9b12f91b90c023ba935bdcae1a09c68026702664d5f7d40b392820ee4614be23e0bf6688230da86963b61f6d5505dc38787ded4cade48f52f13d4e81
DIST zeroconf-0.82.1.tar.gz 147915 BLAKE2B 608d077e042f1b74f25f44b5b64350782944d0f4da96bb17a32bf9cbedfe5c1b751a8731a65c5cac86cc458425f2e38d0549317e7216c577567d0852a7a6c7ed SHA512 a02e9b1c6ce976de815f902f5607d6b0fecba4abc403234cbeeeef1abe450c3894e6c117bb554ba76c27250c748b36b862abb8ed059f0da8d31e5b10e5f1c2e1
+DIST zeroconf-0.86.0.tar.gz 149030 BLAKE2B d2ea241bcd1416517d8ac9e98c205c956419bc4d33492f8044fe1819458166cd20acb83e56b0e05c69feb473b026a277bc739541195bc2df8ee0e0b748c10c94 SHA512 1b4260ff9498d0a6504960162bd1d75485e83e816c7cb063d71857c77edae40a580d841b8d65940cfd2fe47f0dfa3f6e96f5b907e9c7b626e7ae9bc365219dc8
diff --git a/dev-python/zeroconf/zeroconf-0.86.0.ebuild b/dev-python/zeroconf/zeroconf-0.86.0.ebuild
new file mode 100644
index 000000000000..49fc9c2898bd
--- /dev/null
+++ b/dev-python/zeroconf/zeroconf-0.86.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Pure Python Multicast DNS Service Discovery Library (Bonjour/Avahi compatible)"
+HOMEPAGE="
+ https://github.com/python-zeroconf/python-zeroconf/
+ https://pypi.org/project/zeroconf/
+"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/ifaddr-0.1.7[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/async-timeout-3.0.0[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+# the build system uses custom build script that uses distutils to build
+# C extensions, sigh
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-65.6.3[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+export REQUIRE_CYTHON=1
+
+python_test() {
+ local -x SKIP_IPV6=1
+ local EPYTEST_DESELECT=(
+ # network
+ tests/test_core.py::Framework::test_close_multiple_times
+ tests/test_core.py::Framework::test_launch_and_close
+ tests/test_core.py::Framework::test_launch_and_close_context_manager
+
+ # fragile to timeouts (?)
+ tests/services/test_browser.py::test_service_browser_expire_callbacks
+ tests/utils/test_asyncio.py::test_run_coro_with_timeout
+ )
+
+ epytest -o addopts=
+}